{
  "name": "workshoponvue",
  "version": "0.0.0",
  "author": "Traore Rayan <rayan.traore03@gmail.com>",
  "scripts": {
    "build": "run-p type-check build-only",
    "test:unit": "vitest --environment jsdom",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "build-only": "vite build",
    "dev": "vite",
    "electron:build": "vue-cli-service electron:build",
    "electron:serve": "vue-cli-service electron:serve",
    "postinstall": "electron-builder install-app-deps",
    "postuninstall": "electron-builder install-app-deps",
    "preview": "vite preview --port 4173",
    "type-check": "vue-tsc --noEmit -p tsconfig.vitest.json --composite false"
  },
  "main": "background.js",
  "dependencies": {
    "@vue/cli": "^5.0.8",
    "@vue/cli-service": "^5.0.8",
    "serve": "^14.0.1",
    "vue": "^3.2.38",
    "vue-router": "^4.1.5"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.1.4",
    "@types/jsdom": "^20.0.0",
    "@types/node": "^16.11.56",
    "@vitejs/plugin-vue": "^3.0.3",
    "@vitejs/plugin-vue-jsx": "^2.0.1",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/eslint-config-typescript": "^11.0.0",
    "@vue/test-utils": "^2.0.2",
    "@vue/tsconfig": "^0.1.3",
    "concurrently": "^7.4.0",
    "cross-env": "^7.0.3",
    "electron": "^21.1.0",
    "electron-builder": "^23.3.3",
    "electron-devtools-installer": "^3.1.0",
    "eslint": "^8.22.0",
    "eslint-plugin-vue": "^9.3.0",
    "jsdom": "^20.0.0",
    "npm-run-all": "^4.1.5",
    "prettier": "^2.7.1",
    "typescript": "~4.7.4",
    "vite": "^3.0.9",
    "vitest": "^0.23.0",
    "vue-cli-plugin-electron-builder": "~2.1.1",
    "vue-tsc": "^0.40.7",
    "wait-on": "^6.0.1"
  },
  "license": "MIT",
  "repository": "https://github.com/rayantProject/workSHOP.git"
}
